# Interface RootedTreeMetric

All Known Implementing Classes:
  `BilleraMetric, CladeHeightMetric, RobinsonsFouldMetric`

public interface RootedTreeMetric

Author:
  rambaut Date: Jun 25, 2006 Time: 12:12:34 AM

## Method Summary

Modifier and Type
Method
Description
`double`
`getMetric(RootedTree tree1, RootedTree tree2)`
calculates the metric between two rooted trees

## Method Details

### getMetric

double getMetric(RootedTree tree1, RootedTree tree2)
calculates the metric between two rooted trees

Parameters:
  `tree1` - first tree
  `tree2` - second tree
Returns:
  the tree metric value